from typing import Dict

from piggybank.currency import Currency


__all__ = ["__date__", "__version__", "__author__", "__email__",
           "__copyright__", "__license__", "PIGGYBANK_FILE_EXTENSION",
           "VERSION"]


__date__ = "8 Jule 2020"
__version__ = "1.0.0"
__author__ = "Alexander \"Arav\" Andreev"
__email__ = "me@arav.top"
__copyright__ = f"Copyright (c) 2020 {__author__} <{__email__}>"
__license__ = \
"""This program is licensed under the terms of the MIT license.
For a copy see COPYING file in a directory of the program, or 
see <https://opensource.org/licenses/MIT>"""


PIGGYBANK_FILE_EXTENSION = ".pb"
VERSION = f"PiggyBank ver. {__version__} ({__date__})\n\n{__copyright__}\n" \
          f"\n{__license__}"

CURRENCIES: Dict[str, Currency] = dict()
